<ion-header [translucent]="true">
  <ion-toolbar color ="danger">
    <ion-title>
      <p>College List</p>
    </ion-title>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="home"></ion-back-button>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-button icon-only (click)="addCollege()">Add</ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>


<ion-content>
  <ion-list no-lines>
    <ion-item-sliding *ngFor="let college of colleges">

      <ion-item text-wrap>
        <ion-label class="ion-padding" text-wrap>
          <h2><ion-icon name="bookmark-outline" color="danger"></ion-icon><b> College Name: </b></h2>
          <h2><ion-icon name="arrow-forward-circle-outline" color="warning"></ion-icon> {{college.name}}</h2>
          <h2><ion-icon name="apps-outline" color="danger"></ion-icon><b> College Address: </b></h2>
         <h2><ion-icon name="arrow-forward-circle-outline" color="warning"></ion-icon> {{college.address}}</h2>
         </ion-label>
         <div item-end>
          <ion-button fill="clear" color="danger" [routerLink]="['../edit-college/', college._id]">
            <ion-icon name="create" style="zoom:1.5"></ion-icon>
          </ion-button>
        </div>
       </ion-item>
       <ion-item-options>
        <ion-button color="danger" (click)="deleteCollege(college)" class="ion-padding">
          <ion-icon name="trash-outline"></ion-icon>
          Delete
        </ion-button>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>

</ion-content>
